Subject: bug#14233: 24.3; Don't constrain frame size to character multiples

From: martin rudalics <[email-masked]>
Date: Sat, 27 Apr 2013 08:59:55 +0200

> I have code that relies on this behavior to shrink not only the default font
 > size (of all windows in the frame) but the frame itself.  I do this not only to
 > zoom (shrink or enlarge) a frame and its text slightly.  I do it also to shrink
 > it a lot - down to a thumbnail/icon size - and later restore it.
 >
 > I would not like to see this behavior change, so that, e.g., Emacs stopped
 > resizing the frame when I change the font size for the frame.

It depends on the interface you use.  The function `set-frame-font' has
the KEEP-SIZE argument and I don't intend to change its semantics (I'll
probably remove the rounding when `frame-resize-pixelwise' is non-nil).

martin